From cbd14bcf633faa9c84a2c33d2ad907178be73d9e Mon Sep 17 00:00:00 2001
From: Wang Shengfang <wangshengfang@huawei.com>
Date: Tue, 9 Jun 2020 11:39:31 +0800
Subject: [PATCH] avocado.utils.ditro: support openEuler

Add an OpenEuler Probe for openEuler system.

Signed-off-by: Wang Shengfang <wangshengfang@huawei.com>
---
 avocado/utils/distro.py | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/avocado/utils/distro.py b/avocado/utils/distro.py
index fe7f35dc..01d4fdd7 100644
--- a/avocado/utils/distro.py
+++ b/avocado/utils/distro.py
@@ -374,6 +374,17 @@ class SUSEProbe(Probe):
         return distro
 
 
+class OpenEulerProbe(Probe):
+
+    """
+    Simple probe for openEuler systems in general
+    """
+    CHECK_FILE = '/etc/openEuler-release'
+    CHECK_FILE_CONTAINS = 'openEuler release'
+    CHECK_FILE_DISTRO_NAME = 'openEuler'
+    CHECK_VERSION_REGEX = re.compile(r'openEuler release (\d+)\.(\d+).*')
+
+
 #: the complete list of probes that have been registered
 REGISTERED_PROBES = []
 
@@ -393,6 +404,7 @@ register_probe(AmazonLinuxProbe)
 register_probe(DebianProbe)
 register_probe(SUSEProbe)
 register_probe(UbuntuProbe)
+register_probe(OpenEulerProbe)
 
 
 def detect():
-- 
2.23.0

